Get Single Property Details

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/spacio-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Spacio API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/spacio-api/mcp"
  }
}

Close
POST /getProperty

Retrieve detailed information about a specific property by ID.

Headers

  • apikey string Required

    API key for authentication

application/x-www-form-urlencoded

Body

Property identifier

  • property_id string Required

    Unique identifier for the property

Responses

  • 200 application/json

    Successful response with property details

    Hide response attributes Show response attributes object
    • success boolean
    • data object

      Real estate property information

      Hide data attributes Show data attributes object
      • property_id string

        Unique property identifier

      • address string

        Street address

      • city string
      • state string

        Two-letter state code

      • zip string
      • price number(double)

        List price in USD

      • bedrooms integer
      • bathrooms number

        Full and half bathrooms

      • sqft integer

        Square footage

      • status string

        Current listing status

        Values are active, pending, sold, expired, or withdrawn.

      • list_date string(date)

        Date property was listed

      • mls_id string

        MLS number

      • property_type string

        Type of property

        Values are single_family, condo, townhouse, multi_unit, land, or commercial.

      • lot_size string

        Lot size (e.g., 0.25 acres)

      • year_built integer
  • 404

    Property not found

  • 401

    Unauthorized

POST /getProperty
curl -X POST 'https://ws.spac.io/api/v1/getProperty' \
  -H 'apikey: your-api-key' \
  -d 'property_id=12345'
import requests

headers = {'apikey': 'your-api-key'}
data = {'property_id': '12345'}
response = requests.post('https://ws.spac.io/api/v1/getProperty', headers=headers, data=data)
property_detail = response.json()
Response examples (200)
{
  "success": true,
  "data": {
    "property_id": "string",
    "address": "string",
    "city": "string",
    "state": "string",
    "zip": "string",
    "price": 42.0,
    "bedrooms": 42,
    "bathrooms": 42.0,
    "sqft": 42,
    "status": "active",
    "list_date": "2026-05-04",
    "mls_id": "string",
    "property_type": "single_family",
    "lot_size": "string",
    "year_built": 42
  }
}